Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextStopPhase

    java.lang.Object
      org.mule.lifecycle.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextStopPhase

All Implemented Interfaces:
  MuleContextAware, LifecyclePhase

    public class MuleContextStopPhase

extends DefaultLifecyclePhase

The Stop phase for the Management context LifecycleManager. Calling `Stoppable.stop()` with initiate this phase via the `LifecycleManager`. This phase controls the order in which objects should be stopped.

See Also:
  `MuleContext`, `LifecycleManager`, `Stoppable`

Field Summary

Fields inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextStopPhase()`
`MuleContextStopPhase(Class<?>[] ignorredObjects)`

Method Summary

Methods inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setMuleContext, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextStopPhase

    public MuleContextStopPhase()

### MuleContextStopPhase

    public MuleContextStopPhase(Class<?>[] ignorredObjects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.